Build #1 for hmatrix-nlopt-0.1.3.0

[all reports]

Package hmatrix-nlopt-0.1.3.0
Install DependencyFailed hmatrix-nlopt-0.1.3.0
Docs NotTried
Tests NotTried
Time submitted 2018-10-03 04:14:40.045908667 UTC
Compiler ghc-8.4.3
OS linux
Arch x86_64
Dependencies base-4.11.1.0, hmatrix-0.19.0.0, nlopt-haskell-0.1.3.0, vector-0.12.0.1
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring primitive-0.6.4.0...
Configuring random-1.1...
Building random-1.1...
Building primitive-0.6.4.0...
Installed random-1.1
Configuring semigroups-0.18.5...
Building semigroups-0.18.5...
Installed semigroups-0.18.5
Configuring split-0.2.3.3...
Building split-0.2.3.3...
Installed split-0.2.3.3
Configuring storable-complex-0.2.2...
Building storable-complex-0.2.2...
Installed storable-complex-0.2.2
Installed primitive-0.6.4.0
Configuring vector-0.12.0.1...
Building vector-0.12.0.1...
Installed vector-0.12.0.1
Downloading nlopt-haskell-0.1.3.0...
Configuring hmatrix-0.19.0.0...
Configuring nlopt-haskell-0.1.3.0...
Building hmatrix-0.19.0.0...
Failed to install nlopt-haskell-0.1.3.0
Build log ( /home/builder/.cabal/logs/ghc-8.4.3/nlopt-haskell-0.1.3.0-8JWOdyrFFYE2fVKYNNyi9p.log ):
cabal: Entering directory '/tmp/cabal-tmp-29294/nlopt-haskell-0.1.3.0'
Configuring nlopt-haskell-0.1.3.0...
cabal: Missing dependency on a foreign library:
* Missing (or bad) C library: nlopt
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.If the
library file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-29294/nlopt-haskell-0.1.3.0'
Installed hmatrix-0.19.0.0
cabal: Error: some packages failed to install:
hmatrix-nlopt-0.1.3.0-ABSW61uMT4K7g01Q2jxf4u depends on hmatrix-nlopt-0.1.3.0
which failed to install.
nlopt-haskell-0.1.3.0-8JWOdyrFFYE2fVKYNNyi9p failed during the configure step.
The exception was:
ExitFailure 1